﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="Example.Web.Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to the Data Framework preview!
    </h2>
    <fieldset>
        <legend>Perform these actions against your database</legend>
        <asp:Button runat="server" ID="btnInsert" Text="Insert" OnClick="ButtonInsertClick"/>
        <span style="width: 8px;"></span>
        <asp:Button runat="server" ID="btnBulkInsert" Text="Bulk Insert" OnClick="ButtonBulkInsertClick"/>
        <span style="width: 8px;"></span>
        <asp:Button runat="server" ID="btnUpdate" Text="Update" OnClick="ButtonUpdateClick"/>
        <span style="width: 8px;"></span>
        <asp:Button runat="server" ID="btnDelete" Text="Delete" OnClick="ButtonDeleteClick"/>
        <span style="width: 8px;"></span>
        <asp:Button runat="server" ID="btnDeleteAll" Text="Delete All Inserted" OnClick="ButtonDeleteAllInsertedClick"/>
    </fieldset>
    <fieldset>
        <legend>Pull as Data Table</legend>
        <p>
            <asp:GridView runat="server" ID="gvContactsTable"></asp:GridView>
        </p>    
    </fieldset>
    <fieldset>
        <legend>Pull as Objects</legend>
        <p>
            <asp:GridView runat="server" ID="gvContactsObjects"></asp:GridView>
        </p>    
    </fieldset>
    
    
</asp:Content>
